/*
 * @(#)src/classes/sov/org/omg/CORBA/portable/BoxedValueHelper.java, orb-api, xs21411, 20040109 1.7.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.1
 * (C) Copyright IBM Corp. 1998, 2002. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */


/*
*
* Change activity:
*
* Reason Date   Origin Description
* ------ ----   ------ ----------------------------------------------------
*  40804 020204 hdtjb  Add IBM module header; Sun original version 1.10
*
* ===========================================================================
* Module Information:
*
* DESCRIPTION: org.omg classes
* ===========================================================================
*/


/*
 * RMI-IIOP v1.0
 *
 */

package org.omg.CORBA.portable;
import java.io.Serializable;

// added javadoc comments						/*ibm@4279*/

/**
 * The <code>BoxedValueHelper</code> interface is implemented by all generated
 * concrete helper classes for boxed valuetypes.
 */
public interface BoxedValueHelper {

    /**
     * Reads an instance of a boxed valuetype from the input stream
     * <code>is</code>.
     * @param is the input stream from which to read the data.
     * @return the boxed valuetype that was read from the stream.
     */
    Serializable read_value(InputStream is);

    /**
     * Writes an instance of a boxed valuetype to the output stream
     * <code>os</code>.
     * @param os the output stream to which to write the data.
     * @param value the boxed valuetype to be written to the stream.
     */
    void write_value(OutputStream os, Serializable value);

    /**
     * Returns the RepositoryId of the boxed valuetype.
     * @return the RepositoryId of the boxed valuetype.
     */
    String get_id();
}
